Frontpage   Releases   Forum   Documents   Downloads   Links   Join Us!   Disclaimer   Contact Us


Author Topic: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7  (Read 1918 times)

0 Members and 1 Guest are viewing this topic.

Offline gregman_1

  • Junior Member
  • **
  • Gender: Male
I know, I know, a new guy who joined just to fix a problem.  I promise I'll stick around and contribute lol.

So if I load any mod and start IL2, it shows the UP startup screen for about a half a second and then quits.  If I select "stock game," it loads and performs just fine.  I have no mods except UP 3.0.  I did also install the D2D SAS patch per the recommendations.  Any thoughts?  I read all the documents and searched to no avail.

Offline EAGLE_Bf-109guy

  • Senior Member
  • ****
  • Gender: Male
  • Any landing you walk away from is a good one.
    • Bf-109guy's website
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #1 on: May 23, 2012, 02:49:57 AM »
Make sure you have UP 3.0 enabled in JSMGE.  It can't be widesreen or Hankeuz (sorry about the spelling).  Also make sure the settings in the selector are the exact same as the image Hades put up.  Hope this helps!
-Bf-109guy, the founder of the EAGLE Squadron

Offline gregman_1

  • Junior Member
  • **
  • Gender: Male
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #2 on: May 23, 2012, 03:17:32 AM »
Make sure you have UP 3.0 enabled in JSMGE.  It can't be widesreen or Hankeuz (sorry about the spelling).  Also make sure the settings in the selector are the exact same as the image Hades put up.  Hope this helps!
I tried it with just UP enabled, no Hakenkreuz (I have no idea how to spell that either lol) or widescreen.  I have not checked the settings.  Right now I'm reinstalling ( :blush2:) as I eff-dash-dash-dashed it up while screwing around with it.  I'll try it with Hades' settings and see what I get.  Thanks!

Offline gregman_1

  • Junior Member
  • **
  • Gender: Male
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #3 on: May 23, 2012, 05:11:20 AM »
Yep, not finding this "files" directory he mentions in the writeup, nor the .rc file I need to edit.  Help!

Offline EAGLE_Bf-109guy

  • Senior Member
  • ****
  • Gender: Male
  • Any landing you walk away from is a good one.
    • Bf-109guy's website
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #4 on: May 24, 2012, 02:15:02 AM »
Sorry, I'm out of ideas. :fie:  If you haven't installed the patch, that could fix it.
-Bf-109guy, the founder of the EAGLE Squadron

Offline gregman_1

  • Junior Member
  • **
  • Gender: Male
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #5 on: May 24, 2012, 04:25:49 AM »
OK, now I'm getting frustrated.

I've installed the SAS D2D patch.  I've installed the 1.1a and 1.2 patches (from Ubi's website, in that order).  I have searched and searched for this fabled ".rc" file to no avail.  The loader now does not even make it to the loading screen before sending me back to the loader dialog, no matter if I set to start with UP 3.0 or stock game.  Only UP 3.0 activated with the JSGEMod tool.

I know there has to be something I'm missing.  Thanks for your help so far, Eagle!

Offline gregman_1

  • Junior Member
  • **
  • Gender: Male
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #6 on: May 24, 2012, 04:37:38 AM »
OK, now I'm getting a "can't find rts.dll" error and Google has lots of threads with NO useful information.

AAAGAAGAHAHAGAHAHGAHAGAHGAHGAHGAA!!!!!!


Offline SAS~Storebror

  • Consultants
  • Senior Member
  • *****
  • Gender: Male
  • Air Brakes don't.
    • Friendly Fire isn't.
Re: Immediate crash on startup-UP 3.0 RC, Ubi version IL2, Win 7
« Reply #7 on: June 04, 2012, 02:58:14 PM »
I've installed the 1.1a and 1.2 patches (from Ubi's website, in that order).

What? Holy...

These patches are ancient ones from the attic, they're meant for version 1 of the game whereas you have version 4 installed (at least I assume you have, otherwise all your efforts to get UP3 up and running are simply waste of time).

can't find rts.dll

Yep, good old 1.x times. That's due to installing old patches.

What you need to do is to update your game to 4.10.1m first, starting from whatever version you have.
E.g. you have 4.07m, then you need to install 4.08m, 4.09m, 4.10m and then 4.10.1m.
When you did so, install the UP3 base package, then install the UP3 RC4 patch on top.

If you want to make life easier but don't fear huge download packs, you might want to give the "Stock 4.07m to DBW 1.71 SuperPack One-Stop Download & Install (the famous SAS F'nBigSuperPack !)" a try, which installs on any stock game version from 4.07m onwards (which means it's also valid if you already updated to let's say 4.09m) and gets you all you need, including D2D patch, UP3 and it's offline brother "DBW":
http://www.sas1946.com/main/index.php/topic,21514.msg239532.html#msg239532

Best regards - Mike
'Armor' is a fantasy invented by your C.O. to make you feel better.

 

Powered by EzPortal